//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
//
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
import React from "react";
import { map } from "lodash";
import HeaderMenuTitle from "./menu-title";
import { isNonEmptyString } from "primeobjects-helper-util";
export var HeadMenuDesktopView = function (props) {
    var navigation = props.navigation, color = props.color;
    return (React.createElement(React.Fragment, null, map(navigation, function (menu, idx) {
        return (React.createElement(HeaderMenuTitle, { key: idx, title: menu.title, href: menu.href, maxWidth: menu.maxWidth, sections: menu.sections, colorName: isNonEmptyString(menu.colorName) ? menu.colorName : color.name }));
    })));
};
export default HeadMenuDesktopView;
//# sourceMappingURL=menu-desktop.js.map